Get artist details
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistimport requests
url = "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"uri": "<string>",
"name": "<string>",
"picture": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"biography": "<string>",
"born": "2023-11-07T05:31:56Z",
"bornIn": "<string>",
"died": "2023-11-07T05:31:56Z",
"appleMusicLink": "<string>",
"spotifyLink": "<string>",
"tidalLink": "<string>",
"youtubeLink": "<string>",
"genres": [
"<string>"
],
"xataVersion": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.artist
Get artist details
GET
/
app.rocksky.artist.getArtist
Get artist details
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.artist.getArtistimport requests
url = "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.artist.getArtist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"uri": "<string>",
"name": "<string>",
"picture": "<string>",
"sha256": "<string>",
"playCount": 1,
"uniqueListeners": 1,
"tags": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"biography": "<string>",
"born": "2023-11-07T05:31:56Z",
"bornIn": "<string>",
"died": "2023-11-07T05:31:56Z",
"appleMusicLink": "<string>",
"spotifyLink": "<string>",
"tidalLink": "<string>",
"youtubeLink": "<string>",
"genres": [
"<string>"
],
"xataVersion": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Query Parameters
The URI of the artist to retrieve details from
Response
Success
The unique identifier of the artist.
The URI of the artist.
The name of the artist.
The picture of the artist.
The SHA256 hash of the artist.
The number of times the artist has been played.
Required range:
x >= 0The number of unique listeners who have played the artist.
Required range:
x >= 0